package com.lightinit.hsdataportal.model;

import com.lightinit.hsdataportal.entity.PublishSetting;

import java.util.Date;
import java.util.List;

public class APIOpenViewModel {

    //开放类型
    private String openType ;

    //共享类型
    private String shareType ;

    //服务名称
    private String resourceName ;

    //服务简介
    private String resourceSummary ;

    //分类 publish_info
    private Date auditedAt ;

    //浏览数
    private Integer viewTimes ;

    //返回码
    private String returnCode ;

    //接口
    private List<APIOpenInterfaceViewModel> interfaceViewModels ;

    //套餐介绍
    private PublishSetting publishSetting ;

    private  int followTotalCount ;

    //服务标签、
    private String serviceTag ;

    private FourResourceCatelogModel fourResourceCatelogModel ;

    private String resourceImg ;

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public String getResourceSummary() {
        return resourceSummary;
    }

    public void setResourceSummary(String resourceSummary) {
        this.resourceSummary = resourceSummary;
    }

    public String getReturnCode() {
        return returnCode;
    }

    public void setReturnCode(String returnCode) {
        this.returnCode = returnCode;
    }

    public List<APIOpenInterfaceViewModel> getInterfaceViewModels() {
        return interfaceViewModels;
    }

    public void setInterfaceViewModels(List<APIOpenInterfaceViewModel> interfaceViewModels) {
        this.interfaceViewModels = interfaceViewModels;
    }

    public PublishSetting getPublishSetting() {
        return publishSetting;
    }

    public void setPublishSetting(PublishSetting publishSetting) {
        this.publishSetting = publishSetting;
    }

    public Date getAuditedAt() {
        return auditedAt;
    }

    public void setAuditedAt(Date auditedAt) {
        this.auditedAt = auditedAt;
    }

    public String getOpenType() {
        return openType;
    }

    public void setOpenType(String openType) {
        this.openType = openType;
    }

    public Integer getViewTimes() {
        return viewTimes;
    }

    public void setViewTimes(Integer viewTimes) {
        this.viewTimes = viewTimes;
    }

    public String getShareType() {
        return shareType;
    }

    public void setShareType(String shareType) {
        this.shareType = shareType;
    }

    public String getResourceImg() {
        return resourceImg;
    }

    public void setResourceImg(String resourceImg) {
        this.resourceImg = resourceImg;
    }

    public FourResourceCatelogModel getFourResourceCatelogModel() {
        return fourResourceCatelogModel;
    }

    public void setFourResourceCatelogModel(FourResourceCatelogModel fourResourceCatelogModel) {
        this.fourResourceCatelogModel = fourResourceCatelogModel;
    }

    public int getFollowTotalCount() {
        return followTotalCount;
    }

    public void setFollowTotalCount(int followTotalCount) {
        this.followTotalCount = followTotalCount;
    }

    public String getServiceTag() {
        return serviceTag;
    }

    public void setServiceTag(String serviceTag) {
        this.serviceTag = serviceTag;
    }
}
